%define rpm_date %(date +'%Y.%m.%d')

Summary: 						Plataro Icon Theme 
Name:		 						plataro-icon-theme
Version: 						%rpm_date
Release: 						%mkrel 1
#Source0: 					https://github.com/tsujan/Plataro.git.tar.xz
License: 						CC BY-NC-SA 4.0
Group: 							System/Configuration/Theme
BuildRequires:			git
BuildRoot: 					%{_tmppath}/%{name}-buildroot
BuildArchitectures: noarch

%description
The Plataro SVG icon theme, by Pedram Pourang (aka Tsu Jan <tsujan2000@gmail.com>), 
consists of flat and colorful icons intended for use under KDE and LXQt. 
Although it is a rich icon set, it takes its missing icons from Breeze, 
Oxygen or GNOME icon theme, whichever is installed and in that order.


%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 %{buildroot}%{_iconsdir}/Plataro
git clone https://github.com/tsujan/Plataro.git %{buildroot}%{_iconsdir}/Plataro

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
/*
%exclude %{_iconsdir}/Plataro/.git
%exclude %{_iconsdir}/Plataro/COPYING
%exclude %{_iconsdir}/Plataro/INSTALL
%exclude %{_iconsdir}/Plataro/README.md

%changelog
* Thu Nar 28 2024 daniel - 2024.03.28-1pclos2024
- update

* Sun Feb 18 2024 daniel - 2024.02.18-1pclos2024
- update

* Sun Jan 21 2024 daniel - 2024.01.21-1pclos2024
- update

* Thu Nov 16 2023 daniel - 2023.11.16-1pclos2023
- update

* Thu Oct 19 2023 daniel - 2023.10.19-1pclos2023
- update

* Fri Sep 22 2023 daniel - 2023.09.22-1pclos2023
- update

* Tue Aug 08 2023 daniel - 2023.08.08-1pclos2023
- update

* Wed Jul 05 2023 daniel - 2023.07.05-1pclos2023
- added, changed and fixed icons
- SVG cleanup

* Thu Apr 27 2023 daniel - 2023.04.27-1pclos2023
- added, changed and fixed icons
- SVG cleanup

* Wed Apr 05 2023 daniel - 2023.04.05-1pclos2023
- Modifications
- Added symlink
- Added mime icons
- Renamed an icon
- Cleaned some icons
- Changed and added a mime icon
- SVG cleanup

* Sun Mar 05 2023 daniel - 2023.03.05-1pclos2023
- some icons added

* Fri Feb 10 2023 daniel - 2023.02.10-1pclos2023
- Changed some icons
- Changed a color

* Sun Jan 22 2023 daniel - 2023.01.22-1pclos2023
- Small changes

* Sun Nov 27 2022 daniel - 2022.11.27-1pclos2022
- Cleaned up two icons
- Modified an icon

* Sat Nov 12 2022 daniel - 2022.11.12-1pclos2022
- create package
- 

